summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xcontrib/gensync20
-rwxr-xr-xcontrib/updatesync18
-rw-r--r--doc/repo-add.8.txt12
-rw-r--r--scripts/repo-add.sh.in12
4 files changed, 8 insertions, 54 deletions
diff --git a/contrib/gensync b/contrib/gensync
index 04df52ac..51d32ceb 100755
--- a/contrib/gensync
+++ b/contrib/gensync
@@ -59,17 +59,6 @@ die () {
exit 1
}
-check_force () {
- local i
- for i in ${options[@]}; do
- local lc=$(echo $i | tr [:upper:] [:lower:])
- if [ "$lc" = "force" ]; then
- true
- fi
- done
- false
-}
-
# PROGRAM START
if [ "$1" = "-h" -o "$1" = "--help" ]; then
@@ -115,7 +104,6 @@ echo "gensync: building database entries, generating md5sums..." >&2
cd "$destdir"
pkgs=""
-forcepkgs=""
for file in $(find "$rootdir"/* -name "$BUILDSCRIPT"); do
unset pkgname pkgver pkgrel options
@@ -133,18 +121,14 @@ for file in $(find "$rootdir"/* -name "$BUILDSCRIPT"); do
if [ ! -f "$pkgfile" ]; then
error "could not find %s-%s-%s-%s%s - skipping" $pkgname $pkgver $pkgrel $CARCH $PKGEXT
else
- if check_force; then
- forcepkgs="$forcepkgs $pkgfile"
- else
- pkgs="$pkgs $pkgfile"
- fi
+ pkgs="$pkgs $pkgfile"
fi
done
echo "creating repo DB..."
# we'll trim the output just a tad, as gensync may be used on large repos
-repo-add $destfile $pkgs --force $force_pkgs \
+repo-add $destfile $pkgs \
| grep -e "package" -e "database"
# vim: set ts=2 sw=2 noet:
diff --git a/contrib/updatesync b/contrib/updatesync
index 9d5d54e9..f88e8237 100755
--- a/contrib/updatesync
+++ b/contrib/updatesync
@@ -58,17 +58,6 @@ die () {
exit 1
}
-check_force () {
- local i
- for i in ${options[@]}; do
- local lc=$(echo $i | tr [:upper:] [:lower:])
- if [ "$lc" = "force" ]; then
- true
- fi
- done
- false
-}
-
# PROGRAM START
if [ "$1" = "-h" -o "$1" = "--help" ]; then
@@ -109,7 +98,6 @@ pkgdir="$(pwd)"
if [ "$4" != "" ]; then
pkgdir="$4"
fi
-opt_force=""
if [ "$action" = "upd" ]; then # INSERT / UPDATE
if [ ! -f "$option" ]; then
@@ -128,11 +116,7 @@ if [ "$action" = "upd" ]; then # INSERT / UPDATE
die "could not find %s-%s-%s-%s%s - aborting" $pkgname $pkgver $pkgrel $CARCH $PKGEXT
fi
- if check_force; then
- opt_force="--force"
- fi
-
- repo-add "$pkgdb" $opt_force "$pkgfile"
+ repo-add "$pkgdb" "$pkgfile"
else # DELETE
fname="$(basename $option)"
if [ "$fname" = "PKGBUILD" ]; then
diff --git a/doc/repo-add.8.txt b/doc/repo-add.8.txt
index 5664949f..80faef46 100644
--- a/doc/repo-add.8.txt
+++ b/doc/repo-add.8.txt
@@ -16,7 +16,7 @@ repo-add - package database maintenance utility
Synopsis
--------
-repo-add <path-to-db> [--force] <package> ...
+repo-add <path-to-db> <package> ...
repo-remove <path-to-db> <packagename> ...
@@ -34,16 +34,6 @@ specified on the command line. Multiple packages to remove can be specified
on the command line.
-Options
--------
-*--force* (repo-add only)::
- Add a force entry to the sync database, which tells pacman to skip version
- number comparison and update the package regardless. This flag can be
- specified in the middle of the command line, with any packages listed
- before the flag being added as normal entries, and any specified after
- being marked as force upgrades.
-
-
See Also
--------
linkman:makepkg[8], linkman:pacman[8]
diff --git a/scripts/repo-add.sh.in b/scripts/repo-add.sh.in
index efd3bc03..00eec7ec 100644
--- a/scripts/repo-add.sh.in
+++ b/scripts/repo-add.sh.in
@@ -25,7 +25,6 @@ export TEXTDOMAINDIR='@localedir@'
myver='@PACKAGE_VERSION@'
confdir='@sysconfdir@'
-FORCE=0
REPO_DB_FILE=""
# ensure we have a sane umask set
@@ -54,14 +53,10 @@ error() {
# print usage instructions
usage() {
printf "repo-add (pacman) %s\n\n" "$myver"
- printf "$(gettext "Usage: %s <path-to-db> [--force] <package> ...\n\n")" "$0"
+ printf "$(gettext "Usage: %s <path-to-db> <package> ...\n\n")" "$0"
printf "$(gettext "\
repo-add will update a package database by reading a package file.\n\
Multiple packages to add can be specified on the command line.\n\n")"
- printf "$(gettext "\
-The --force flag will add a 'force' entry to the sync database, which\n\
-tells pacman to skip its internal version number checking and update\n\
-the package regardless.\n\n")"
echo "$(gettext "Example: repo-add /path/to/repo.db.tar.gz pacman-3.0.0.pkg.tar.gz")"
}
@@ -209,7 +204,7 @@ db_write_entry()
[ -n "$builddate" ] && echo -e "%BUILDDATE%\n$builddate\n" >>desc
[ -n "$packager" ] && echo -e "%PACKAGER%\n$packager\n" >>desc
write_list_entry "REPLACES" "$_replaces" "desc"
- [ $FORCE -eq 1 -o -n "$force" ] && echo -e "%FORCE%\n" >>desc
+ [ -n "$force" ] && echo -e "%FORCE%\n" >>desc
# create depends entry
msg2 "$(gettext "Creating 'depends' db entry...")"
@@ -291,7 +286,8 @@ success=0
# parse arguments
for arg in "$@"; do
if [ "$arg" == "--force" -o "$arg" == "-f" ]; then
- FORCE=1
+ warning "$(gettext "the -f and --force options are no longer recognized")"
+ msg2 "$(gettext "use options=(force) in the PKGBUILD instead")"
elif [ -z "$REPO_DB_FILE" ]; then
REPO_DB_FILE=$(readlink -f "$arg")
if ! test_repo_db_file; then